Bug 20126 - Saving a biblio does no longer update MARC field lengths
Summary: Saving a biblio does no longer update MARC field lengths
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10455
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-02 10:27 UTC by Marcel de Rooy
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20126: Restore MARC field length calculation in ModBiblioMarc (1.04 KB, patch)
2018-02-02 10:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20126: Add simple test for ModBiblioMarc (2.48 KB, patch)
2018-02-02 11:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20126: Restore MARC field length calculation in ModBiblioMarc (1.00 KB, patch)
2018-02-02 12:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20126: Add simple test for ModBiblioMarc (2.49 KB, patch)
2018-02-02 12:39 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-02-02 10:27:50 UTC
See bug 10455.
Comment 1 Marcel de Rooy 2018-02-02 10:41:14 UTC
Created attachment 71140 [details] [review]
Bug 20126: Restore MARC field length calculation in ModBiblioMarc

Trivial fix. Problem raised by bug 10455.

Test plan:
[1] Create or edit biblio record.
[2] Save and check leader field lengths in MARC view.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2018-02-02 11:07:46 UTC
Created attachment 71145 [details] [review]
Bug 20126: Add simple test for ModBiblioMarc

Just to confirm that we see record length and base address in a record
that has been passed through ModBiblioMarc.

Test plan:
Run the test.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Nick Clemens 2018-02-02 12:39:06 UTC
Created attachment 71146 [details] [review]
Bug 20126: Restore MARC field length calculation in ModBiblioMarc

Trivial fix. Problem raised by bug 10455.

Test plan:
[1] Create or edit biblio record.
[2] Save and check leader field lengths in MARC view.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-02-02 12:39:09 UTC
Created attachment 71147 [details] [review]
Bug 20126: Add simple test for ModBiblioMarc

Just to confirm that we see record length and base address in a record
that has been passed through ModBiblioMarc.

Test plan:
Run the test.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2018-02-02 15:21:09 UTC
Pushed to master for 18.05
Comment 6 Nick Clemens 2018-02-16 02:28:34 UTC
Awesome work all, pushed to stable for 17.11.03
Comment 7 Fridolin SOMERS 2018-02-19 13:00:23 UTC
Pushed to 17.05.x for v17.05.09